#
#       Makefile for uypack
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uypack
LIBFSRCS	= uyptmz.f uyplba.f uyplbb.f uysaxz.f uysaxs.f uysoff.f \
		  uypaxs.f uyptmk.f uyplbl.f uypnum.f uypttl.f uyaxlb.f \
		  uyaxnm.f uyaxdv.f uymttl.f uysttl.f luychk.f uysfmt.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uyptmz.o uyplba.o uyplbb.o uysaxz.o uysaxs.o uysoff.o \
		  uypaxs.o uyptmk.o uyplbl.o uypnum.o uypttl.o uyaxlb.o \
		  uyaxnm.o uyaxdv.o uymttl.o uysttl.o luychk.o uysfmt.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
